package cn.hmsoft.frame.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/*************************
 * 系统参数表
 * 
 * @author zxq
 * @create 2018-04-07 23:18:25
 * @version 5.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "FRAME_PARAM", keyColumn = "PARAM_NAME", sequenceName = "")
public class FrameParam implements Serializable {
	private static final long serialVersionUID = -5614726229137438483L;
	//描述信息
	private String param_desc;
	//配置名称
	private String param_name;
	//配置值
	private String param_value;
	//配置值类型
	private String param_value_type;
	//该参数给哪个系统使用，空表示全部
	private String project_owner;
	//是否为系统保护参数，很重要，一般情况下不允许修改
	private String protect_status;

	/****
	 * 描述信息
	 */
	public String getParam_desc() {
		return this.param_desc;
	}

	/****
	 * 描述信息
	 */
	public void setParam_desc(String param_desc) {
		this.param_desc = param_desc;
	}

	/****
	 * 配置名称
	 */
	public String getParam_name() {
		return this.param_name;
	}

	/****
	 * 配置名称
	 */
	public void setParam_name(String param_name) {
		this.param_name = param_name;
	}

	/****
	 * 配置值
	 */
	public String getParam_value() {
		return this.param_value;
	}

	/****
	 * 配置值
	 */
	public void setParam_value(String param_value) {
		this.param_value = param_value;
	}

	/****
	 * 配置值类型
	 */
	public String getParam_value_type() {
		return this.param_value_type;
	}

	/****
	 * 配置值类型
	 */
	public void setParam_value_type(String param_value_type) {
		this.param_value_type = param_value_type;
	}

	/****
	 * 该参数给哪个系统使用，空表示全部
	 */
	public String getProject_owner() {
		return this.project_owner;
	}

	/****
	 * 该参数给哪个系统使用，空表示全部
	 */
	public void setProject_owner(String project_owner) {
		this.project_owner = project_owner;
	}

	/****
	 * 是否为系统保护参数，很重要，一般情况下不允许修改
	 */
	public String getProtect_status() {
		return this.protect_status;
	}

	/****
	 * 是否为系统保护参数，很重要，一般情况下不允许修改
	 */
	public void setProtect_status(String protect_status) {
		this.protect_status = protect_status;
	}

}